Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.builders.impl
Class SendMessageBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.ehbox.v3.builders.impl.SendMessageBuilderImpl

All Implemented Interfaces:
  SendMessageBuilder

    public class SendMessageBuilderImpl

extends Object
implements SendMessageBuilder

Implementation of `SendMessageBuilder`

Field Summary
`static String` | `DEFAULT_MIME_TYPE` Default type for the message

Constructor Summary
`SendMessageBuilderImpl(Crypto encryptionCrypto, KeyDepotManager keydepotManager)` Deprecated.
`SendMessageBuilderImpl(KeyDepotManager keydepotManager)`

Method Summary
`SendMessageRequest` | `buildMessage(DocumentMessage<Message> document)` Builds for a document message.
`SendMessageRequest` | `buildMessage(NewsMessage<Message> document)` Builds for a news document message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MIME_TYPE

    public static final String DEFAULT_MIME_TYPE

  Default type for the message

  See Also:
    Constant Field Values

Constructor Detail

### SendMessageBuilderImpl

    @Deprecated
    public SendMessageBuilderImpl(Crypto encryptionCrypto,
                                             KeyDepotManager keydepotManager)

  Deprecated.

  Instantiates a new send message builder.

  Parameters:
    `encryptionCrypto` -
    `keydepotManager` -

### SendMessageBuilderImpl

    public SendMessageBuilderImpl(KeyDepotManager keydepotManager)

Method Detail

### buildMessage

    public final SendMessageRequest buildMessage(DocumentMessage<Message> document)
                                          throws IOException,
                                                 EhboxBusinessConnectorException,
                                                 TechnicalConnectorException,
                                                 org.bouncycastle.cms.CMSException

  Description copied from interface: `SendMessageBuilder`
  Builds for a document message.

  Specified by:
    `buildMessage` in interface `SendMessageBuilder`
  Parameters:
    `document` - `DocumentMessage` contains all info to be send.
  Returns:
    SendMessageRequest
  Throws:
    `IOException`
    `EhboxBusinessConnectorException`
    `TechnicalConnectorException`
    `org.bouncycastle.cms.CMSException`
  See Also:
    `SendMessageBuilder.buildMessage(be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage)`

### buildMessage

    public final SendMessageRequest buildMessage(NewsMessage<Message> document)
                                          throws IOException,
                                                 EhboxBusinessConnectorException,
                                                 TechnicalConnectorException

  Description copied from interface: `SendMessageBuilder`
  Builds for a news document message.

  Specified by:
    `buildMessage` in interface `SendMessageBuilder`
  Parameters:
    `document` - contains all info to be send.
  Returns:
    SendMessageRequest
  Throws:
    `IOException`
    `EhboxBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `SendMessageBuilder.buildMessage(be.ehealth.businessconnector.ehbox.api.domain.NewsMessage)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.